<?xml version="1.0"?>
<schema version="0.2">
  <table name="todo">
    <field name="id" type="I">
      <KEY/>
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="userid" type="I">
	  <NOTNULL/>
    </field>
    <field name="header" type="C" size="200">
	  <NOTNULL/>
    </field>
    <field name="description" type="X">
    </field>
    <field name="startdate" type="T">
    </field>
    <field name="starttype" type="C" size="1">
	  <NOTNULL/>
      <DEFAULT value="1"/>
    </field>
    <field name="enddate" type="T">
    </field>
    <field name="endtype" type="C" size="1">
	  <NOTNULL/>
      <DEFAULT value="1"/>
    </field>
    <field name="priority" type="C" size="1">
	  <NOTNULL/>
      <DEFAULT value="3"/>
    </field>
    <field name="status" type="C" size="4">
    </field>
    <field name="fromuserid" type="I">
    </field>
    <field name="owner" type="I">
	  <NOTNULL/>
    </field>
    <field name="lu_user" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
    <field name="lu_date" type="T">
    </field>
    <field name="projectid" type="I">
	  <NOTNULL/>
      <DEFAULT value="0"/>
    </field>
  </table>

  <mgw>
	<moduleDefinition>
		<module>
			<module_type>3</module_type>
			<name>todo</name>
			<version>0.9</version>
			<date>2003-10-17</date>
			<author>Karsten Dambekalns</author>
			<email>k.dambekalns@fishfarm.de</email>
			<description>Module for managing personal todo items.</description>
			<compatibility>0.6.9</compatibility>
			<secure>true</secure>
		</module>
	</moduleDefinition>
  </mgw>
</schema>

